Fetch All Teams
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trackpilots.com/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.trackpilots.com/v1/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trackpilots.com/v1/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched all team details successfully",
"error": null,
"data": [
{
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
},
{
"teamId": "a2b5416e-f57c-4614-886f-35a5541f4321",
"teamName": "Backend Team"
},
{
"teamId": "d9f4416e-f57c-4614-886f-35a5541f4399",
"teamName": "UI/UX Team"
}
]
}Manage Teams
Fetch All Teams
GET
/
v1
/
teams
Fetch All Teams
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.trackpilots.com/v1/teams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.trackpilots.com/v1/teams \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.trackpilots.com/v1/teams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"success": true,
"statusCode": 200,
"statusMessage": "Fetched all team details successfully",
"error": null,
"data": [
{
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
},
{
"teamId": "a2b5416e-f57c-4614-886f-35a5541f4321",
"teamName": "Backend Team"
},
{
"teamId": "d9f4416e-f57c-4614-886f-35a5541f4399",
"teamName": "UI/UX Team"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Fetched all team details successfully
Example:
true
Example:
200
Example:
"Fetched all team details successfully"
Example:
null
Example:
[
{
"teamId": "c1e4416e-f57c-4614-886f-35a5541f4316",
"teamName": "Full Stack Developer"
},
{
"teamId": "a2b5416e-f57c-4614-886f-35a5541f4321",
"teamName": "Backend Team"
},
{
"teamId": "d9f4416e-f57c-4614-886f-35a5541f4399",
"teamName": "UI/UX Team"
}
]
